Skip to main content
GET
/
v1
/
fees
/
{id}
Retrieve
curl --request GET \
  --url https://{defaultHost}/v1/fees/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "5386bdf0-c59b-4632-9177-9d3ecb0607a9",
  "object": "fee",
  "amount": 100,
  "description": "Transaction Fee",
  "fee_type": "manual",
  "line_item": "daf339bf-2f68-4202-9486-6951ddbb8882",
  "created_at": 1778010878,
  "updated_at": 1778010878
}

Documentation Index

Fetch the complete documentation index at: https://developer.surecart.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/json

Success

id
string | null

The UUID of the specific object.

object
string

A string describing the object type returned.

amount
integer

The amount in cents to be added or subtracted, represented as an integer. For example 9900 is equivalent to $99.

description
string

A short description of the fee.

fee_type
string

The type of fee – one of auto, bump, manual, setup, upsell.

line_item

Expandable – The associated line item ID.

created_at
integer | null

Time at which the object was created. Measured in seconds since the Unix epoch.

updated_at
integer | null

Time at which the object was last updated. Measured in seconds since the Unix epoch.